Subject: Re: Where is initial console initialized ?

From: Domen Puncer <[email-masked]>
Date: Fri, 1 Jun 2007 08:35:07 +0200

On 31/05/07 13:42 -0000, Daniel Schnell wrote:
> Hi,
>  
> I am trying to bring up 2.6.20.3 on a MPC5200B based custom board. This
> Kernel is based on the Phytec phyCore MPC5200B Mini BSP kernel and
> adapted to my board.
> So far I have troubles to get console output working when booting Linux.
> Uboot console output is fine. Linux begins to run (I can set breakpoints
> with the BDI2000 in the early initialization code) so I probably have a
> misconfiguration of the console output inside the fdt.
> 
> The major difference between the Phytec phyCore 5200B mini fdt and mine
> is that we use PSC1 instead of PSC3/6 for serial. Accordingly I changed
> the fdt (or dts) values.
> 
> To get some more insights, I would like to know, in which Linux function
> the console output is initialised ?
> 
> 
...
> If I dump the flat device tree inside uboot, I get the following
> entries: 
...
the dump with:

         reg = <8>;

in most of nodes, which looks just wrong.

	Domen